gr::dab::xrun_monitor_cc_impl Class Reference

`#include <xrun_monitor_cc_impl.h>`

Inheritance diagram for gr::dab::xrun_monitor_cc_impl:
[legend]

## Public Member Functions

| xrun_monitor_cc_impl (int length)
| ~xrun_monitor_cc_impl ()
void | forecast (int noutput_items, gr_vector_int &ninput_items_required)
int | general_work (int noutput_items, gr_vector_int &ninpnut_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_drop_when_full (bool val)
void | stop_until_tag ()
void | set_report_fill (bool val)

## Additional Inherited Members

Public Types inherited from gr::dab::xrun_monitor_cc
typedef std::shared_ptr< xrun_monitor_cc > | sptr
Static Public Member Functions inherited from gr::dab::xrun_monitor_cc
static sptr | make (int length=500000)
| Return a shared_ptr to a new instance of grdab::xrun_monitor_cc.

## Constructor & Destructor Documentation

## xrun_monitor_cc_impl()

gr::dab::xrun_monitor_cc_impl::xrun_monitor_cc_impl | ( | int | length | ) |

## ~xrun_monitor_cc_impl()

gr::dab::xrun_monitor_cc_impl::~xrun_monitor_cc_impl | ( |  | ) |

## Member Function Documentation

## forecast()

void gr::dab::xrun_monitor_cc_impl::forecast | ( | int | noutput_items,
|  | gr_vector_int & | ninput_items_required )

## general_work()

int gr::dab::xrun_monitor_cc_impl::general_work | ( | int | noutput_items,
|  | gr_vector_int & | ninpnut_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

## set_drop_when_full()

void gr::dab::xrun_monitor_cc_impl::set_drop_when_full | ( | bool | val | ) |

virtual

Implements gr::dab::xrun_monitor_cc.

## set_report_fill()

void gr::dab::xrun_monitor_cc_impl::set_report_fill | ( | bool | val | ) |

virtual

Implements gr::dab::xrun_monitor_cc.

## stop_until_tag()

void gr::dab::xrun_monitor_cc_impl::stop_until_tag | ( |  | ) |

virtual

Implements gr::dab::xrun_monitor_cc.

The documentation for this class was generated from the following file:

- xrun_monitor_cc_impl.h